wikEd doesn't update #wpTextbox1 before switching to VE so changes are lost
Closed, ResolvedPublic8 Story Points

Description

Sub task of T102398, but not really a blocker.

Esanders created this task.May 19 2016, 3:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 3:23 PM

Ah, with about 291k enwiki users :/

We'll probably need a pre-switch event/hook.

Jdforrester-WMF triaged this task as Normal priority.May 31 2016, 7:07 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

I seem to recall the issue with mw.hook was that it ran hook functions asynchronously... Maybe we can trigger an event on wpTextbox1 like wikiEditor-toolbar-doneInitialSections, and have wikEd detect that and call wikEd.UpdateTextarea()?
Would have to cover all of these:

modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.init.js: var wikitext = $( '#wpTextbox1' ).val(),
modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.init.js: initialWikitext = $( '#wpTextbox1' ).val();
modules/ve-mw/init/ve.init.mw.ArticleTargetLoader.js: $( '#wpTextbox1' ).val() &&
modules/ve-mw/init/ve.init.mw.ArticleTargetLoader.js: wikitext: $( '#wpTextbox1' ).val(),

Change 295444 had a related patch set uploaded (by Alex Monk):
Trigger a custom event on #wpTextbox1 when we need to get the latest wikitext out of it

https://gerrit.wikimedia.org/r/295444

Thanks to @Krinkle, PS2 replaces the original events-based idea with something that gadgets can handle without even having to implement anything VE-specific. For wikEd it could look something like this:

$( '#wpTextbox1' ).textSelection(
	'register',
	{
		getContents: function () {
			wikEd.UpdateTextarea();
			return $( this ).val();
		}
	}
)

Change 295444 merged by jenkins-bot:
Use .textSelection( 'getContents' ) instead of .val() to get the value of #wpTextbox1

https://gerrit.wikimedia.org/r/295444

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

So now the gadget needs updating on enwiki (and anywhere else?), and then we can declare this done?

AlexMonk-WMF added a comment.EditedAug 4 2016, 6:41 PM

It turns out there are rather a lot of wikis with this gadget or some variation thereof:

1​afwiki MediaWiki:Gadget-wikEd.js
2​arwiki MediaWiki:Gadget-wikEd.js
3​arwikisource MediaWiki:Gadget-wikEd.js
4​arwikiversity MediaWiki:Gadget-wikEd.js
5​aswiki MediaWiki:Gadget-wikEd.js
6​aswikisource MediaWiki:Gadget-wikEd.js
7​azbwiki MediaWiki:Gadget-wikEd.js
8​azbwiki MediaWiki:WikEd.js
9​azwiki MediaWiki:Gadget-wikEd.js
10​bgwiki MediaWiki:Gadget-wikEd.js
11​bgwikiquote MediaWiki:Gadget-wikEd.js
12​bgwikisource MediaWiki:Gadget-wikEd.js
13​bhwiki MediaWiki:Gadget-wikEd.js
14​bnwiki MediaWiki:Gadget-wikEd.js
15​bnwikibooks MediaWiki:Gadget-wikEd.js
16​bnwikisource MediaWiki:Gadget-wikEd.js
17​bnwiktionary MediaWiki:Gadget-wikEd.js
18​bpywiki MediaWiki:Gadget-wikEd.js
19​brwikimedia MediaWiki:Gadget-wikEd.js
20​cawiki MediaWiki:Gadget-wikEd.js
21​cawikinews MediaWiki:Gadget-wikEd.js
22​dewiki MediaWiki:Gadget-wikEd.js
23​dewikibooks MediaWiki:Gadget-wikEd.js
24​dewikisource MediaWiki:Gadget-wikEd.js
25​dewikiversity MediaWiki:Gadget-wikEd.js
26​dewikivoyage MediaWiki:Gadget-wikEd.js
27​dsbwiki MediaWiki:Gadget-WikEd.js
28​elwikiversity MediaWiki:Gadget-wikEd.js
29​enwiki MediaWiki:Gadget-wikEd.js
30​enwikivoyage MediaWiki:Gadget-wikEd.js
31​eowiki MediaWiki:Gadget-WikEd.js
32​eswiki MediaWiki:Gadget-wikEd.js
33​eswikibooks MediaWiki:Gadget-wikEd.js
34​fawiki MediaWiki:Gadget-wikEd.js
35​fawiki MediaWiki:WikEd.js
36​fawikivoyage MediaWiki:Gadget-wikEd.js
37​fawikivoyage MediaWiki:WikEd.js
38​fawiktionary MediaWiki:Gadget-wikEd.js
39​fawiktionary MediaWiki:WikEd.js
40​fiwiki MediaWiki:Gadget-wikEd.js
41​frwiki MediaWiki:Gadget-WikEd.js
42​frwikibooks MediaWiki:Gadget-WikEd.js
43​frwikisource MediaWiki:Gadget-WikEd.js
44​frwiktionary MediaWiki:Gadget-WikEd.js
45​gagwiki MediaWiki:Gadget-wikEd.js
46​glwiki MediaWiki:Gadget-wikEd.js
47​glwikibooks MediaWiki:Gadget-wikEd.js
48​glwikiquote MediaWiki:Gadget-wikEd.js
49​glwikisource MediaWiki:Gadget-wikEd.js
50​gomwiki MediaWiki:Gadget-wikEd.js
51​guwiki MediaWiki:Gadget-wikEd.js
52​guwikiquote MediaWiki:Gadget-wikEd.js
53​hiwiki MediaWiki:Gadget-wikEd.js
54​hrwiki MediaWiki:Gadget-wikEd.js
55​hrwikiquote MediaWiki:Gadget-wikEd.js
56​hrwikisource MediaWiki:Gadget-wikEd.js
57​hsbwiki MediaWiki:Gadget-WikEd.js
58​huwiki MediaWiki:Gadget-wikEd.js
59​huwikinews MediaWiki:Gadget-wikEd.js
60​huwikiquote MediaWiki:Gadget-wikEd.js
61​huwikisource MediaWiki:Gadget-wikEd.js
62​huwiktionary MediaWiki:Gadget-wikEd.js
63​ilowiki MediaWiki:Gadget-wikEd.js
64​itwiki MediaWiki:Gadget-WikEd.js
65​itwikibooks MediaWiki:Gadget-Wiked.js
66​itwikisource MediaWiki:Gadget-WikEd.js
67​itwikiversity MediaWiki:Gadget-WikEd.js
68​itwikivoyage MediaWiki:Gadget-wikEd.js
69​itwiktionary MediaWiki:Gadget-Wiked.js
70​jawiki MediaWiki:Gadget-wikEd.js
71​jawikibooks MediaWiki:Gadget-wikEd.js
72​jawikiversity MediaWiki:Gadget-wikEd.js
73​jawiktionary MediaWiki:Gadget-wikEd.js
74​kkwiki MediaWiki:Gadget-wikEd.js
75​klwiki MediaWiki:Gadget-wikEd.js
76​kmwiki MediaWiki:Gadget-wikEd.js
77​kowiki MediaWiki:Gadget-wikEd.js
78​kowikiquote MediaWiki:Gadget-wikEd.js
79​kowiktionary MediaWiki:Gadget-wikEd.js
80​kshwiki MediaWiki:Gadget-wikEd.js
81​kuwiki MediaWiki:Gadget-wikEd.js
82​ltwiki MediaWiki:Gadget-wikEd.js
83​ltwiktionary MediaWiki:Gadget-wikEd.js
84​lvwiki MediaWiki:Gadget-wikEd.js
85​maiwiki MediaWiki:Gadget-wikEd.js
86​metawiki MediaWiki:Gadget-wikEd.js
87​minwiki MediaWiki:Gadget-wikED.js
88​mkwiki MediaWiki:Gadget-wikEd.js
89​mkwikisource MediaWiki:Gadget-wikEd.js
90​mlwiki MediaWiki:Gadget-wikEd.js
91​mswiki MediaWiki:Gadget-wikEd.js
92​mwlwiki MediaWiki:Gadget-wikEd.js
93​newiki MediaWiki:Gadget-wikEd.js
94​nlwiktionary MediaWiki:Gadget-wikEd.js
95​nnwiki MediaWiki:Gadget-wikEd.js
96​nowikisource MediaWiki:Gadget-wikEd.js
97​ocwiki MediaWiki:Gadget-WikEd.js
98​orwiki MediaWiki:Gadget-wikEd.js
99​outreachwiki MediaWiki:Gadget-wikEd.js
100​piwiki MediaWiki:Gadget-wikEd.js
101​plwiki MediaWiki:Gadget-wikEd.js
102​plwikibooks MediaWiki:Gadget-wikEd.js
103​plwikinews MediaWiki:Gadget-wikEd.js
104​plwikiquote MediaWiki:Gadget-wikEd.js
105​plwikisource MediaWiki:Gadget-wikEd.js
106​plwiktionary MediaWiki:Gadget-wikEd.js
107​pswiki MediaWiki:Gadget-WikEd.js
108​pswiki MediaWiki:Gadget-wikEd.js
109​ptwiki MediaWiki:Gadget-wikEd.js
110​ptwikibooks MediaWiki:Gadget-wikEd.js
111​ptwikisource MediaWiki:Gadget-wikEd.js
112​ptwikiversity MediaWiki:Gadget-wikEd.js
113​rowiki MediaWiki:Gadget-wikEd.js
114​rowiki MediaWiki:WikEd.js
115​ruewiki MediaWiki:Gadget-wikEd.js
116​scnwiki MediaWiki:Gadget-wikEd.js
117​siwiki MediaWiki:Gadget-wikEd.js
118​skwiki MediaWiki:Gadget-wikEd.js
119​slwiki MediaWiki:Gadget-wikEd.js
120​slwikibooks MediaWiki:Gadget-wikEd.js
121​slwikisource MediaWiki:Gadget-wikEd.js
122​slwikiversity MediaWiki:Gadget-wikEd.js
123​sourceswiki MediaWiki:Gadget-wikEd.js
124​sqwiki MediaWiki:Gadget-wikEd.js
125​sqwikinews MediaWiki:Gadget-wikEd.js
126​srwiki MediaWiki:Gadget-wikEd.js
127​svwiki MediaWiki:Gadget-WikEd.js
128​svwikinews MediaWiki:Gadget-WikEd.js
129​tawiki MediaWiki:Gadget-wikEd.js
130​tawikinews MediaWiki:Gadget-WikEd.js
131​tawiktionary MediaWiki:Gadget-wikEd.js
132​test2wiki MediaWiki:Gadget-wikEd.js
133​testwiki MediaWiki:Gadget-wikEd.js
134​tewiki MediaWiki:Gadget-wikEd.js
135​tewikiquote MediaWiki:Gadget-wikEd.js
136​tewiktionary MediaWiki:Gadget-wikEd.js
137​thwiki MediaWiki:Gadget-wikEd.js
138​thwikibooks MediaWiki:Gadget-wikEd.js
139​thwikiquote MediaWiki:Gadget-wikEd.js
140​thwikisource MediaWiki:Gadget-wikEd.js
141​thwiktionary MediaWiki:Gadget-wikEd.js
142​tlwiki MediaWiki:Gadget-wikEd.js
143​trwiki MediaWiki:Gadget-wikEd.js
144​trwikinews MediaWiki:Gadget-wikEd.js
145​ukwiktionary MediaWiki:Gadget-wikEd.js
146​urwiki MediaWiki:Gadget-WikEd.js
147​urwikiquote MediaWiki:Gadget-wikEd.js
148​viwiki MediaWiki:Gadget-wiked.js
149​viwikibooks MediaWiki:Gadget-wiked.js
150​viwikiquote MediaWiki:Gadget-wiked.js
151​viwikisource MediaWiki:Gadget-wiked.js
152​viwikivoyage MediaWiki:Gadget-wikEd.js
153​viwiktionary MediaWiki:Gadget-wiked.js
154​wikidatawiki MediaWiki:Gadget-wikEd.js
155​wowiki MediaWiki:Gadget-WikEd.js
156​zh_yuewiki MediaWiki:Gadget-wikEd.js
157​zhwiki MediaWiki:Gadget-wikEd.js
158​zhwikibooks MediaWiki:Gadget-wikEd.js
159​zhwikinews MediaWiki:Gadget-WikEd.js
160​zhwikinews MediaWiki:Gadget-wikEd.js
161​zhwikivoyage MediaWiki:Gadget-wikEd.js
162​arwiki User:Ahmed M Farrag/wikEd.js
163​arwiki User:Ciphers/wikEd.js
164​arwikibooks User:Ciphers/wikEd.js
165​arwikinews User:SeH/Scripts/wikEd.js
166​arwikisource User:Ciphers/Gadget-wikEd.js
167​arwikisource User:Mr. Ibrahem/wikEd.js
168​azbwiki User:E THP/wikEd.js
169​azwiki User:Vago/wikEd.js
170​bhwiki User:सत्यम् मिश्र/wikEd.js
171​cawiki User:Coet/we:wikEd.js
172​cawiki User:Pasqual/we:wikEd.js
173​dewiki User:M-K-B/wikEd.js
174​diqwiki User:Tadiranscopus/wikEd.js
175​dsbwiki User:Pe7er/wikEd.js
176​elwiki User:DemetrisKaragiannis/wikEd.js
177​enwiki User:Ais523/wikEd.js
178​enwiki User:Avanidhar/wikEd.js
179​enwiki User:Cacycle/wikEd.js
180​enwiki User:Cacycle/wiked.js
181​enwiki User:Gary/wikEd.js
182​enwiki User:Markhurd/wikEd.js
183​enwiki User:Reetep/wikEd.js
184​eswiki User:Axxgreazz/wikEd.js
185​eswiki User:Davidangelleoacedo/Gadget-wikEd.js
186​eswiki User:Linfocito B/wikEd.js
187​eswiki User:RoRo/wikEd.js
188​frwiki User:Dr Brains/wikEd.js
189​frwiki User:Hunsu/WikEd.js
190​frwiki User:Mabifixem/WikEd.js
191​frwiki User:Mikefuhr/wikEd.js
192​frwiki User:PAC2/wiked.js
193​gagwiki User:E THP/wikEd.js
194​guwiki User:Harsh4101991/wikEd.js
195​hiwiki User:सत्यम् मिश्र/wikEd.js
196​huwiki User:Tyrannum/wikEd.js
197​huwikisource User:BeR/wikEd.js
198​huwiktionary User:Einstein2/Gadget-wikEd.js
199​huwiktionary User:Einstein2/gadget-wikEd.js
200​idwiki User:Beeyan/wikEd.js
201​idwiki User:Hidayatsrf/wikEd.js
202​jawiki User:E233-3001/Gadget-wikEd.js
203​mrwiki User:संतोष दहिवळ/wikEd.js
204​newiki User:Bhawani Gautam/wikEd.js
205​nlwiki User:Rodejong/wikEd.js
206​nnwiki User:Frokor/wikEd.js
207​nowiki User:Cocu/wiked.js
208​nowiki User:Dvyjones/wikEd.js
209​nvwiki User:Tlustulimu/wikEd.js
210​plwiki User:Leafnode/wikEd.js
211​plwiki User:Saper/wikEd.js
212​pswiki User:Cacycle/wikEd.js
213​ptwiki User:Mosca/wikEd.js
214​rowiki User:Gutza/wikEd.js
215​ruwiki User:GreatMusicLover/WikEd.js
216​ruwiki User:Somniator/wikEd.js
217​scnwiki User:Melos/traduzionewiked.js
218​simplewiki User:Hydriz/WikEd.js
219​siwiki User:බිඟුවා/wikEd.js
220​sowiktionary User:Foxall/wiked.js
221​testwiki User:Cacycle/wikEd.js
222​thwiki User:Quazaros/Gadget-wikEd.js
223​trwiki User:Berkay0652/wikEd.js
224​trwiki User:Erdemaslancan/wikEd.js
225​trwiki User:Hetanaheta/wikEd.js
226​trwiki User:Vito Genovese/wikEd.js
227​ukwiki User:Albedo/wikEd.js
228​zhwiki User:Chaplin/wikEd.js

AlexMonk-WMF added a comment.EditedAug 4 2016, 10:44 PM

I went around several other wikis (jawiki, eswiki, itwiki, plwiki, metawiki, dewiki) and found they just import from enwiki... frwiki had an outdated (and very slightly modified) copy, which I updated in https://fr.wikipedia.org/w/index.php?title=MediaWiki:Gadget-WikEd.js/local&diff=128398597&oldid=120743896 and https://fr.wikipedia.org/w/index.php?title=MediaWiki:Gadgets-definition&diff=128398642&oldid=127364167

AlexMonk-WMF closed this task as Resolved.
Johan added a subscriber: Johan.EditedAug 5 2016, 6:22 AM

This has been marked for inclusion in Tech News. Just to be on the safe side, to make sure I understand the context, an item about it would look something like this (a bit simplified, but this would be the gist of the message)?

"If you use the wikEd gadget, changes you made were not saved when you switched from the wikitext editor to the visual editor when you edited. This has now been fixed."

That sounds about right, maybe "changes you made could not be kept when you switched ..."?

JJMC89 added a subscriber: JJMC89.Aug 6 2016, 3:10 AM
Schnark added a subscriber: Schnark.Aug 6 2016, 7:19 AM

You probably have to wrap the call to wikEd.UpdateTextarea into a check whether wikEd is enabled or not, something like:

		$( '#wpTextbox1' ).textSelection(
			'register',
			{
				getContents: function () {
					if ( !wikEd.disabled ) {
						wikEd.UpdateTextarea();
					}
					return $( this ).val();
				}
			}
		);

Warning: This is not tested.

In other places the code checks for wikEd.useWikEd, no idea whether that or !wikEd.disabled is correct. @Cacycle?

In other places the code checks for wikEd.useWikEd, no idea whether that or !wikEd.disabled is correct. @Cacycle?

You are right, at least that's what we use in https://de.wikipedia.org/wiki/MediaWiki:Onlyifuploading.js, and it works there.

AlexMonk-WMF closed this task as Resolved.Aug 9 2016, 4:33 AM

People that were having issues on T142137: While editing textarea gets empty before say it's fine with the new fix applied. Thanks @Schnark and @matmarex

RandomDSdevel added a subscriber: RandomDSdevel.EditedAug 10 2016, 7:24 PM

It turns out there are rather a lot of wikis with this gadget or some variation thereof:

1​afwiki MediaWiki:Gadget-wikEd.js
2​arwiki MediaWiki:Gadget-wikEd.js
3​arwikisource MediaWiki:Gadget-wikEd.js
4​arwikiversity MediaWiki:Gadget-wikEd.js
5​aswiki MediaWiki:Gadget-wikEd.js
6​aswikisource MediaWiki:Gadget-wikEd.js
7​azbwiki MediaWiki:Gadget-wikEd.js
8​azbwiki MediaWiki:WikEd.js
9​azwiki MediaWiki:Gadget-wikEd.js
10​bgwiki MediaWiki:Gadget-wikEd.js
11​bgwikiquote MediaWiki:Gadget-wikEd.js
12​bgwikisource MediaWiki:Gadget-wikEd.js
13​bhwiki MediaWiki:Gadget-wikEd.js
14​bnwiki MediaWiki:Gadget-wikEd.js
15​bnwikibooks MediaWiki:Gadget-wikEd.js
16​bnwikisource MediaWiki:Gadget-wikEd.js
17​bnwiktionary MediaWiki:Gadget-wikEd.js
18​bpywiki MediaWiki:Gadget-wikEd.js
19​brwikimedia MediaWiki:Gadget-wikEd.js
20​cawiki MediaWiki:Gadget-wikEd.js
21​cawikinews MediaWiki:Gadget-wikEd.js
22​dewiki MediaWiki:Gadget-wikEd.js
23​dewikibooks MediaWiki:Gadget-wikEd.js
24​dewikisource MediaWiki:Gadget-wikEd.js
25​dewikiversity MediaWiki:Gadget-wikEd.js
26​dewikivoyage MediaWiki:Gadget-wikEd.js
27​dsbwiki MediaWiki:Gadget-WikEd.js
28​elwikiversity MediaWiki:Gadget-wikEd.js
29​enwiki MediaWiki:Gadget-wikEd.js
30​enwikivoyage MediaWiki:Gadget-wikEd.js
31​eowiki MediaWiki:Gadget-WikEd.js
32​eswiki MediaWiki:Gadget-wikEd.js
33​eswikibooks MediaWiki:Gadget-wikEd.js
34​fawiki MediaWiki:Gadget-wikEd.js
35​fawiki MediaWiki:WikEd.js
36​fawikivoyage MediaWiki:Gadget-wikEd.js
37​fawikivoyage MediaWiki:WikEd.js
38​fawiktionary MediaWiki:Gadget-wikEd.js
39​fawiktionary MediaWiki:WikEd.js
40​fiwiki MediaWiki:Gadget-wikEd.js
41​frwiki MediaWiki:Gadget-WikEd.js
42​frwikibooks MediaWiki:Gadget-WikEd.js
43​frwikisource MediaWiki:Gadget-WikEd.js
44​frwiktionary MediaWiki:Gadget-WikEd.js
45​gagwiki MediaWiki:Gadget-wikEd.js
46​glwiki MediaWiki:Gadget-wikEd.js
47​glwikibooks MediaWiki:Gadget-wikEd.js
48​glwikiquote MediaWiki:Gadget-wikEd.js
49​glwikisource MediaWiki:Gadget-wikEd.js
50​gomwiki MediaWiki:Gadget-wikEd.js
51​guwiki MediaWiki:Gadget-wikEd.js
52​guwikiquote MediaWiki:Gadget-wikEd.js
53​hiwiki MediaWiki:Gadget-wikEd.js
54​hrwiki MediaWiki:Gadget-wikEd.js
55​hrwikiquote MediaWiki:Gadget-wikEd.js
56​hrwikisource MediaWiki:Gadget-wikEd.js
57​hsbwiki MediaWiki:Gadget-WikEd.js
58​huwiki MediaWiki:Gadget-wikEd.js
59​huwikinews MediaWiki:Gadget-wikEd.js
60​huwikiquote MediaWiki:Gadget-wikEd.js
61​huwikisource MediaWiki:Gadget-wikEd.js
62​huwiktionary MediaWiki:Gadget-wikEd.js
63​ilowiki MediaWiki:Gadget-wikEd.js
64​itwiki MediaWiki:Gadget-WikEd.js
65​itwikibooks MediaWiki:Gadget-Wiked.js
66​itwikisource MediaWiki:Gadget-WikEd.js
67​itwikiversity MediaWiki:Gadget-WikEd.js
68​itwikivoyage MediaWiki:Gadget-wikEd.js
69​itwiktionary MediaWiki:Gadget-Wiked.js
70​jawiki MediaWiki:Gadget-wikEd.js
71​jawikibooks MediaWiki:Gadget-wikEd.js
72​jawikiversity MediaWiki:Gadget-wikEd.js
73​jawiktionary MediaWiki:Gadget-wikEd.js
74​kkwiki MediaWiki:Gadget-wikEd.js
75​klwiki MediaWiki:Gadget-wikEd.js
76​kmwiki MediaWiki:Gadget-wikEd.js
77​kowiki MediaWiki:Gadget-wikEd.js
78​kowikiquote MediaWiki:Gadget-wikEd.js
79​kowiktionary MediaWiki:Gadget-wikEd.js
80​kshwiki MediaWiki:Gadget-wikEd.js
81​kuwiki MediaWiki:Gadget-wikEd.js
82​ltwiki MediaWiki:Gadget-wikEd.js
83​ltwiktionary MediaWiki:Gadget-wikEd.js
84​lvwiki MediaWiki:Gadget-wikEd.js
85​maiwiki MediaWiki:Gadget-wikEd.js
86​metawiki MediaWiki:Gadget-wikEd.js
87​minwiki MediaWiki:Gadget-wikED.js
88​mkwiki MediaWiki:Gadget-wikEd.js
89​mkwikisource MediaWiki:Gadget-wikEd.js
90​mlwiki MediaWiki:Gadget-wikEd.js
91​mswiki MediaWiki:Gadget-wikEd.js
92​mwlwiki MediaWiki:Gadget-wikEd.js
93​newiki MediaWiki:Gadget-wikEd.js
94​nlwiktionary MediaWiki:Gadget-wikEd.js
95​nnwiki MediaWiki:Gadget-wikEd.js
96​nowikisource MediaWiki:Gadget-wikEd.js
97​ocwiki MediaWiki:Gadget-WikEd.js
98​orwiki MediaWiki:Gadget-wikEd.js
99​outreachwiki MediaWiki:Gadget-wikEd.js
100​piwiki MediaWiki:Gadget-wikEd.js
101​plwiki MediaWiki:Gadget-wikEd.js
102​plwikibooks MediaWiki:Gadget-wikEd.js
103​plwikinews MediaWiki:Gadget-wikEd.js
104​plwikiquote MediaWiki:Gadget-wikEd.js
105​plwikisource MediaWiki:Gadget-wikEd.js
106​plwiktionary MediaWiki:Gadget-wikEd.js
107​pswiki MediaWiki:Gadget-WikEd.js
108​pswiki MediaWiki:Gadget-wikEd.js
109​ptwiki MediaWiki:Gadget-wikEd.js
110​ptwikibooks MediaWiki:Gadget-wikEd.js
111​ptwikisource MediaWiki:Gadget-wikEd.js
112​ptwikiversity MediaWiki:Gadget-wikEd.js
113​rowiki MediaWiki:Gadget-wikEd.js
114​rowiki MediaWiki:WikEd.js
115​ruewiki MediaWiki:Gadget-wikEd.js
116​scnwiki MediaWiki:Gadget-wikEd.js
117​siwiki MediaWiki:Gadget-wikEd.js
118​skwiki MediaWiki:Gadget-wikEd.js
119​slwiki MediaWiki:Gadget-wikEd.js
120​slwikibooks MediaWiki:Gadget-wikEd.js
121​slwikisource MediaWiki:Gadget-wikEd.js
122​slwikiversity MediaWiki:Gadget-wikEd.js
123​sourceswiki MediaWiki:Gadget-wikEd.js
124​sqwiki MediaWiki:Gadget-wikEd.js
125​sqwikinews MediaWiki:Gadget-wikEd.js
126​srwiki MediaWiki:Gadget-wikEd.js
127​svwiki MediaWiki:Gadget-WikEd.js
128​svwikinews MediaWiki:Gadget-WikEd.js
129​tawiki MediaWiki:Gadget-wikEd.js
130​tawikinews MediaWiki:Gadget-WikEd.js
131​tawiktionary MediaWiki:Gadget-wikEd.js
132​test2wiki MediaWiki:Gadget-wikEd.js
133​testwiki MediaWiki:Gadget-wikEd.js
134​tewiki MediaWiki:Gadget-wikEd.js
135​tewikiquote MediaWiki:Gadget-wikEd.js
136​tewiktionary MediaWiki:Gadget-wikEd.js
137​thwiki MediaWiki:Gadget-wikEd.js
138​thwikibooks MediaWiki:Gadget-wikEd.js
139​thwikiquote MediaWiki:Gadget-wikEd.js
140​thwikisource MediaWiki:Gadget-wikEd.js
141​thwiktionary MediaWiki:Gadget-wikEd.js
142​tlwiki MediaWiki:Gadget-wikEd.js
143​trwiki MediaWiki:Gadget-wikEd.js
144​trwikinews MediaWiki:Gadget-wikEd.js
145​ukwiktionary MediaWiki:Gadget-wikEd.js
146​urwiki MediaWiki:Gadget-WikEd.js
147​urwikiquote MediaWiki:Gadget-wikEd.js
148​viwiki MediaWiki:Gadget-wiked.js
149​viwikibooks MediaWiki:Gadget-wiked.js
150​viwikiquote MediaWiki:Gadget-wiked.js
151​viwikisource MediaWiki:Gadget-wiked.js
152​viwikivoyage MediaWiki:Gadget-wikEd.js
153​viwiktionary MediaWiki:Gadget-wiked.js
154​wikidatawiki MediaWiki:Gadget-wikEd.js
155​wowiki MediaWiki:Gadget-WikEd.js
156​zh_yuewiki MediaWiki:Gadget-wikEd.js
157​zhwiki MediaWiki:Gadget-wikEd.js
158​zhwikibooks MediaWiki:Gadget-wikEd.js
159​zhwikinews MediaWiki:Gadget-WikEd.js
160​zhwikinews MediaWiki:Gadget-wikEd.js
161​zhwikivoyage MediaWiki:Gadget-wikEd.js
162​arwiki User:Ahmed M Farrag/wikEd.js
163​arwiki User:Ciphers/wikEd.js
164​arwikibooks User:Ciphers/wikEd.js
165​arwikinews User:SeH/Scripts/wikEd.js
166​arwikisource User:Ciphers/Gadget-wikEd.js
167​arwikisource User:Mr. Ibrahem/wikEd.js
168​azbwiki User:E THP/wikEd.js
169​azwiki User:Vago/wikEd.js
170​bhwiki User:सत्यम् मिश्र/wikEd.js
171​cawiki User:Coet/we:wikEd.js
172​cawiki User:Pasqual/we:wikEd.js
173​dewiki User:M-K-B/wikEd.js
174​diqwiki User:Tadiranscopus/wikEd.js
175​dsbwiki User:Pe7er/wikEd.js
176​elwiki User:DemetrisKaragiannis/wikEd.js
177​enwiki User:Ais523/wikEd.js
178​enwiki User:Avanidhar/wikEd.js
179​enwiki User:Cacycle/wikEd.js
180​enwiki User:Cacycle/wiked.js
181​enwiki User:Gary/wikEd.js
182​enwiki User:Markhurd/wikEd.js
183​enwiki User:Reetep/wikEd.js
184​eswiki User:Axxgreazz/wikEd.js
185​eswiki User:Davidangelleoacedo/Gadget-wikEd.js
186​eswiki User:Linfocito B/wikEd.js
187​eswiki User:RoRo/wikEd.js
188​frwiki User:Dr Brains/wikEd.js
189​frwiki User:Hunsu/WikEd.js
190​frwiki User:Mabifixem/WikEd.js
191​frwiki User:Mikefuhr/wikEd.js
192​frwiki User:PAC2/wiked.js
193​gagwiki User:E THP/wikEd.js
194​guwiki User:Harsh4101991/wikEd.js
195​hiwiki User:सत्यम् मिश्र/wikEd.js
196​huwiki User:Tyrannum/wikEd.js
197​huwikisource User:BeR/wikEd.js
198​huwiktionary User:Einstein2/Gadget-wikEd.js
199​huwiktionary User:Einstein2/gadget-wikEd.js
200​idwiki User:Beeyan/wikEd.js
201​idwiki User:Hidayatsrf/wikEd.js
202​jawiki User:E233-3001/Gadget-wikEd.js
203​mrwiki User:संतोष दहिवळ/wikEd.js
204​newiki User:Bhawani Gautam/wikEd.js
205​nlwiki User:Rodejong/wikEd.js
206​nnwiki User:Frokor/wikEd.js
207​nowiki User:Cocu/wiked.js
208​nowiki User:Dvyjones/wikEd.js
209​nvwiki User:Tlustulimu/wikEd.js
210​plwiki User:Leafnode/wikEd.js
211​plwiki User:Saper/wikEd.js
212​pswiki User:Cacycle/wikEd.js
213​ptwiki User:Mosca/wikEd.js
214​rowiki User:Gutza/wikEd.js
215​ruwiki User:GreatMusicLover/WikEd.js
216​ruwiki User:Somniator/wikEd.js
217​scnwiki User:Melos/traduzionewiked.js
218​simplewiki User:Hydriz/WikEd.js
219​siwiki User:බිඟුවා/wikEd.js
220​sowiktionary User:Foxall/wiked.js
221​testwiki User:Cacycle/wikEd.js
222​thwiki User:Quazaros/Gadget-wikEd.js
223​trwiki User:Berkay0652/wikEd.js
224​trwiki User:Erdemaslancan/wikEd.js
225​trwiki User:Hetanaheta/wikEd.js
226​trwiki User:Vito Genovese/wikEd.js
227​ukwiki User:Albedo/wikEd.js
228​zhwiki User:Chaplin/wikEd.js

And that's just on WMF wikis…; since I am usually just a Phabricator lurker and am not associated with the Foundation, I have no idea how widespread this is outside of it, though I do know of at least one other (rather obscure) wiki that uses it.

And that's just on WMF wikis…; since I am usually just a Phabricator lurker and am not associated with the Foundation, I have no idea how widespread this is outside of it

Yep. I imagine your overview of what non-Wikimedia wikis it is used on could be just as good as mine, I don't know much more by being associated with the Foundation. We don't really have a mechanism for knowing about these things outside of Wikimedia sites... I know there's been some talk of sending basic MW install details to Wikimedia so they can be used by MW developers, but I don't think gadgets was one of the details?

RandomDSdevel added a comment.EditedAug 31 2016, 8:55 PM

@AlexMonk-WMF: You wouldn't happen to remember where and when those discussions took place and if they're still ongoing, do you? If so, perhaps it might be a good idea for me to follow them since I'm interested in the work you're all doing here. Also, perhaps an issue could be opened to add gadget usage to the telemetry data gathered by whatever mechanism might be relevant here?

AlexMonk-WMF added a comment.EditedSep 1 2016, 1:58 AM

@AlexMonk-WMF: You wouldn't happen to where and when those discussions took place and if they're still ongoing, do you? If so, perhaps it might be a good idea for me to follow them since I'm interested in the work you're all doing here. Also, perhaps an issue could be opened to add gadget usage to the telemetry data gathered by whatever mechanism might be relevant here?

I managed to find it: https://gerrit.wikimedia.org/r/#/c/296699/ and https://lists.wikimedia.org/pipermail/wikitech-l/2016-July/086111.html
Unfortunately that is only part of the MW installer rather than something run on a regular basis - I don't think any pages/gadgets would be present when it is running

RandomDSdevel added a comment.EditedSep 9 2016, 8:30 PM

@AlexMonk-WMF: Thanks for the pointers! Are you sure, though, that telemetry will only be sent as part of the wiki installation process? The message on the mailing list seem to indicate otherwise, and that makes me suspect that the telemetry data could be extended to cover things like a list of installed extensions and gadgets and additional statistics like those shown on Special:Version.

@AlexMonk-WMF: Thanks for the pointers! Are you sure, though, that telemetry will only be sent as part of the wiki installation process? The message on the mailing list seems to indicate otherwise, and that makes me suspect that the telemetry data could be extended to cover things like a list of installed extensions and gadgets and additional statistics like those shown on Special:Version.

It looks to me like it is only ever sent once per wiki (perhaps not from the installer itself, but still). You should ask them though.

RandomDSdevel added a comment.EditedOct 21 2016, 3:35 PM

@AlexMonk-WMF: Thanks for the pointers! Are you sure, though, that telemetry will only be sent as part of the wiki installation process? The message on the mailing list seems to indicate otherwise, and that makes me suspect that the telemetry data could be extended to cover things like a list of installed extensions and gadgets and additional statistics like those shown on Special:Version.

It looks to me like it is only ever sent once per wiki (perhaps not from the installer itself, but still). You should ask them though.

@AlexMonk-WMF: Just on IRC or the relevant mailing list some time soon, right? (Hopefully I don't forget amidst the mess that is life; LOL.) Or would I have to open an issue up here in Phabricator since my question might get construed as a sort of feature request?

@AlexMonk-WMF: Thanks for the pointers! Are you sure, though, that telemetry will only be sent as part of the wiki installation process? The message on the mailing list seems to indicate otherwise, and that makes me suspect that the telemetry data could be extended to cover things like a list of installed extensions and gadgets and additional statistics like those shown on Special:Version.

It looks to me like it is only ever sent once per wiki (perhaps not from the installer itself, but still). You should ask them though.

@AlexMonk-WMF: Just on IRC or the relevant mailing list some time soon, right? (Hopefully I don't forget amidst the mess that is life; LOL.) Or would I have to open an issue up here in Phabricator since my question might get construed as a sort of feature request?

IRC, Mailing lists, Phabricator... Any of those are acceptable forms of communication

@AlexMonk-WMF: OK, great. I'll try and see to that ASAP, then.